Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_AbstractBase_var Class Reference

_var class for AbstractBase. More...

`#include <AbstractBase.h>`

List of all members.

## Public Methods
| CORBA_AbstractBase_var (void)
| CORBA_AbstractBase_var (CORBA::AbstractBase_ptr)
| CORBA_AbstractBase_var (const CORBA_AbstractBase_var &)
| ~CORBA_AbstractBase_var (void)
CORBA_AbstractBase_var & | operator= (CORBA::AbstractBase_ptr)
CORBA_AbstractBase_var & | operator= (const CORBA_AbstractBase_var &)
CORBA::AbstractBase_ptr | operator-> (void) const
| operator const CORBA::AbstractBase_ptr & () const
| in, inout, out, _retn. More...
| operator CORBA::AbstractBase_ptr & ()
CORBA::AbstractBase_ptr | in (void) const
CORBA::AbstractBase_ptr & | inout (void)
CORBA::AbstractBase_ptr & | out (void)
CORBA::AbstractBase_ptr | _retn (void)
CORBA::AbstractBase_ptr | ptr (void) const
## Static Public Methods
CORBA::AbstractBase_ptr | tao_duplicate (CORBA::AbstractBase_ptr)
void | tao_release (CORBA::AbstractBase_ptr)
CORBA::AbstractBase_ptr | tao_nil (void)
CORBA::AbstractBase_ptr | tao_narrow (CORBA::AbstractBase *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::AbstractBase * | tao_upcast (void *)
## Private Attributes
CORBA::AbstractBase_ptr | ptr_

## Detailed Description

_var class for AbstractBase.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_AbstractBase_var::CORBA_AbstractBase_var | ( | void |  | ) |

ACE_INLINE CORBA_AbstractBase_var::CORBA_AbstractBase_var | ( | CORBA::AbstractBase_ptr | p | ) |

ACE_INLINE CORBA_AbstractBase_var::CORBA_AbstractBase_var | ( | const CORBA_AbstractBase_var & | p | ) |

ACE_INLINE CORBA_AbstractBase_var::~CORBA_AbstractBase_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA::AbstractBase_ptr CORBA_AbstractBase_var::_retn | ( | void |  | ) |

ACE_INLINE CORBA::AbstractBase_ptr CORBA_AbstractBase_var::in | ( | void |  | ) | const

ACE_INLINE CORBA::AbstractBase_ptr & CORBA_AbstractBase_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_AbstractBase_var::operator const CORBA::AbstractBase_ptr & | ( |  | ) | const

| in, inout, out, _retn.

ACE_INLINE CORBA_AbstractBase_var::operator CORBA::AbstractBase_ptr & | ( |  | ) |

ACE_INLINE CORBA::AbstractBase_ptr CORBA_AbstractBase_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_AbstractBase_var & CORBA_AbstractBase_var::operator= | ( | const CORBA_AbstractBase_var & | p | ) |

ACE_INLINE CORBA_AbstractBase_var & CORBA_AbstractBase_var::operator= | ( | CORBA::AbstractBase_ptr | p | ) |

ACE_INLINE CORBA::AbstractBase_ptr & CORBA_AbstractBase_var::out | ( | void |  | ) |

ACE_INLINE CORBA::AbstractBase_ptr CORBA_AbstractBase_var::ptr | ( | void |  | ) | const

ACE_INLINE CORBA::AbstractBase_ptr CORBA_AbstractBase_var::tao_duplicate | ( | CORBA::AbstractBase_ptr | p | ) | `[static]`

CORBA::AbstractBase_ptr CORBA_AbstractBase_var::tao_narrow | ( | CORBA::AbstractBase * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ACE_INLINE CORBA::AbstractBase_ptr CORBA_AbstractBase_var::tao_nil | ( | void |  | ) | `[static]`

ACE_INLINE void CORBA_AbstractBase_var::tao_release | ( | CORBA::AbstractBase_ptr | p | ) | `[static]`

ACE_INLINE CORBA::AbstractBase * CORBA_AbstractBase_var::tao_upcast | ( | void * | src | ) | `[static]`

## Member Data Documentation

CORBA::AbstractBase_ptr CORBA_AbstractBase_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- AbstractBase.h
- AbstractBase.inl